Bug 64302 - javadocs links are broken in offline docs (printable_docs)
Summary: javadocs links are broken in offline docs (printable_docs)
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 3.0
Hardware: All All
: P2 normal (vote)
Target Milestone: JMETER_5.3.0
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2020-04-03 08:35 UTC by 2477441814
Modified: 2020-04-30 14:27 UTC (History)
1 user (show)



Attachments
All message (8.06 KB, text/plain)
2020-04-03 08:44 UTC, 2477441814
Details

Note You need to log in before you can comment on or make changes to this bug.
Description 2477441814 2020-04-03 08:35:29 UTC
When I read the 'BeanShell_Assertion' section of the component_reference.html document in the JMeter installation directory, I found that the cells in the Desc * column of the Reset * row in the Parameters table did not have the correct hyperlinks in that section, so I decided to write a python script Let's take a look at the similar problems in the HTML files located in the printable_docs directory. Its github address is https://github.com/ZhuangZhu-74/find_invalid_link

  In the attached file, I use consecutive equal signs to separate the error records generated by the python script, where "Source File" represents the source file location, "Origin attr" represents the faulty hyperlink, and "Request URL" represents the visited URL.
Comment 1 2477441814 2020-04-03 08:44:42 UTC
Created attachment 37143 [details]
All message
Comment 2 Philippe Mouawad 2020-04-27 11:27:49 UTC
For online docs we refer to javadocs using:

../api

But this does not work for offline docs, since api is not inside printable_docs but in ../../docs/api
Comment 3 2477441814 2020-04-28 06:57:08 UTC
(In reply to Philippe Mouawad from comment #2)
> For online docs we refer to javadocs using:
> 
> ../api
> 
> But this does not work for offline docs, since api is not inside
> printable_docs but in ../../docs/api

First of all, thank you for your reply, I got what you said.

But in addition to this, there are two other questions I list below;

1 of 2:
1. visit https://jmeter.apache.org/usermanual/component_reference.html#BeanShell_PreProcessor
2. Scroll down and find a table called 'Parameters'
3. Click hyperlink in table named " Best Practices - BeanShell scripting"

expected: Open the link to the website normally
actual: Open the link to the website normally

But it cannot jump in the offline version, and I suggest changing its href attribute from "best-practices#bsh_scripting" to "best-practices.html#bsh_scripting".


2 of 2
1. visit https://jmeter.apache.org/usermanual/hints_and_tips.html
2. press 'Ctrl + End' go to end of page.
3. Click hyperlink in section 22.6 named "https://gluonhq.com/products/javafx/"

actual: 404 not found 
expected: Open the link to the website normally
Comment 4 Felix Schumacher 2020-04-28 10:44:04 UTC
The links to BeanShell best practices are fixed now in trunk as well as the wrong link to JavaFX implementation by Gluon.

commit f933546bfa05cbddea4e1569afeeb7b27b88fa4b
AuthorDate: Tue Apr 28 12:36:15 2020 +0200

    javadocs links are broken in offline docs
    
    Bugzilla Id: 64302
---
 xdocs/changes.xml                        |  2 ++
 xdocs/usermanual/component_reference.xml | 12 ++++++------
 xdocs/usermanual/hints_and_tips.xml      |  2 +-
 3 files changed, 9 insertions(+), 7 deletions(-)
Comment 5 Felix Schumacher 2020-04-28 10:45:13 UTC
(In reply to Philippe Mouawad from comment #2)
> For online docs we refer to javadocs using:
> 
> ../api
> 
> But this does not work for offline docs, since api is not inside
> printable_docs but in ../../docs/api

Should we try to drop api references in the printable docs?
Comment 6 Philippe Mouawad 2020-04-28 11:09:43 UTC
(In reply to Felix Schumacher from comment #5)
> (In reply to Philippe Mouawad from comment #2)
> > For online docs we refer to javadocs using:
> > 
> > ../api
> > 
> > But this does not work for offline docs, since api is not inside
> > printable_docs but in ../../docs/api
> 
> Should we try to drop api references in the printable docs?

Hi Felix, 
Yes
Comment 7 Felix Schumacher 2020-04-28 19:31:31 UTC
Hi Philippe,

I opted to correct the links to the API by introducing a new element apilink. Hope this is OK, too.

commit 34911d06b7b0bb50680976216b9ddb8a634497ef
AuthorDate: Tue Apr 28 21:24:14 2020 +0200

    Correct links to JMeter API in printable docs
    
    Introduce a new doc element apilink that can be used to point to local
    JMeter API documentation. This element uses the correct relative paths
    for both the website and the printable docs.
    
    Bugzilla 64302
---
 xdocs/changes.xml                         |   3 +-
 xdocs/stylesheets/site_printable.vsl      |   7 ++
 xdocs/stylesheets/website-style.xsl       |  16 +++++
 xdocs/usermanual/component_reference.xml  | 112 +++++++++++++++---------------
 xdocs/usermanual/functions.xml            |  42 +++++------
 xdocs/usermanual/jmeter_tutorial.xml      |   6 +-
 xdocs/usermanual/properties_reference.xml |  12 ++--
 xdocs/usermanual/realtime-results.xml     |   2 +-
 8 files changed, 112 insertions(+), 88 deletions(-)